@import url(common.css);
@import url(_reset.css);
@import url(_variables.css);
@import url(hamburger-overlay-2.css);


.main-grid { 
    display: grid;
    margin: 0 0 3rem 3rem;
    grid-gap: 3rem;
    grid-template-columns: 2fr 2fr;
    grid-template-rows: 100vh;
    grid-template-areas: 
        "main-content sidebar"

}

.main-content { grid-area: main-content }
.sidebar     { grid-area: sidebar }

.main-content {
    display: flex;
    flex-direction: column;
    margin-top: 3rem;
}

.main-content p, li, h6 {
    margin: 0 3rem 1rem 2rem;
}


/* Contact form section */

.contact-form {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    padding-bottom: 3rem;
    width: 100%;
}

.contact-form .input-group {
    display: flex;
    flex-direction: column;
    width: 100%;
}

.contact-form form {
    width: 100%;
}

.contact-form .checkbox-group {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: flex-start;
}

.contact-form label {
    margin: 1.5rem 0;
}

.contact-form label[for="email"],
.contact-form label[for="name"] {
    margin-bottom: 0.1rem; 
}

.contact-form label[for="email"] {
    margin: 0; 
}

.contact-form textarea {
    width: 100%;
    height: 15rem;
    border: 1px solid black;
    resize: none;
}

.contact-form input, 
.contact-form textarea {
    font-size: 1rem; 
    background: none;
}

.contact-form input[type="text"],
.contact-form input[type="email"] {
    border: none;
    border-bottom: solid 1px;
    padding: 0.5rem 0;
}

.contact-form .checkbox-group input {
    margin-right: 0.5rem;
}

.contact-form button {
    display: flex;
    flex-grow: 1;
    text-align: center;
    justify-content: center;
    align-items: center;
    border: 3px solid var(--color-secondary);
    border-radius: 10px;
    padding: 2rem;
    margin: 2rem 3rem 0 0;   
    max-height: 300px;
    font-family: var(--font-primary);
    font-size: 3rem;
    font-weight: var(--font-weight-medium);
    color: var(--color-secondary);
    background-color: white;
    cursor: pointer;
}

/* Overlay 2 */

.hamburger-overlay-2,   /* I got feedback on my last assignment that using the same ID to toggle both overlay layouts was not valid HTML */
label[for="menuToggle2"] {  /* Even though i stated that i only did it that way for visual demonstration purposes, because JS was not available - and i understood it was not valid HTML */
    display: none;            /* So now i am now using this repetitive and convoluted solution to toggle the two different overlays instead */
} 

@media (max-width: 665px) {

    .main-grid { 
        display: grid;
        margin-bottom: 5rem;
        margin-left: 3rem;
        margin-right: 3rem;
        grid-gap: 3rem;
        grid-template-columns: auto;
        grid-template-rows: auto;
        grid-template-areas: 
            "main-content"
    }

    .main-content,
    .title-bar {
        align-items: center;
        text-align: center;
    }

    .title-bar h3 {
        margin: 0 1rem 0 1rem;
        font-size: 3rem;
    }

    .bpHide-3 {
        display: none;
    }

    label[for="menuToggle"] {
        display: none; 
    }
    label[for="menuToggle2"] {
        display: block; 
    }

    .hamburger-overlay-2 {
        display:flex;
        width: 100%;
    }


}